Contracts with significant OI changes
curl --request GET \
--url https://flow-api.skylit.ai/v1/contract/unusual-oi \
--header 'Authorization: Bearer <token>'import requests
url = "https://flow-api.skylit.ai/v1/contract/unusual-oi"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://flow-api.skylit.ai/v1/contract/unusual-oi', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"symbol": "<string>",
"ticker": "<string>",
"expiration": "2023-12-25",
"strike": 123,
"right": "C",
"dte": 123,
"date": "2023-12-25",
"openInterest": 1,
"prevOi": 1,
"oiChange": 123,
"oiChangePct": 123,
"volume": 1,
"premium": 123,
"volumeOiRatio": 123,
"bidVolume": 1,
"askVolume": 1,
"lastPrice": 123,
"underlyingPrice": 123,
"iv": 123,
"positionType": "opening",
"sweepVolume": 1,
"sweepPremium": 123,
"multiLegVolume": 1,
"multiLegPremium": 123
}
],
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "d7574836"
}
}{
"error": {
"code": "BAD_REQUEST",
"message": "Invalid parameter 'timeframe': must be one of [1m, 5m, 15m, 1h, 4h, 1d, 1w, 1M]"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required"
}
}{
"error": {
"code": "insufficient_credits",
"message": "Out of credits. Top up to continue making requests."
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit of 100 req/min exceeded. Retry after 18s."
}
}Contract
Contracts with significant OI changes
Contracts whose open interest changed by at least
min_oi_change (or min_oi_change_pct) on the target date. direction
narrows the result to opening (OI ↑) or closing (OI ↓) flow.
GET
/
v1
/
contract
/
unusual-oi
Contracts with significant OI changes
Authorizations
Skylit API key in the Authorization header
(Authorization: Bearer fs_live_<key>). X-API-Key is also accepted.
Query Parameters
Maximum rows to return.
Required range:
1 <= x <= 200Available options:
C, P Required range:
x >= 0Target trading date (YYYY-MM-DD). Defaults to the previous
calendar day (not the current trading date).
Available options:
oi_change, oi_change_pct, volume, premium Available options:
opening, closing, both Was this page helpful?

